> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves detailed information about a specific questionnaire including its questions, answers, and associated clients.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /questionnaires/{id}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /questionnaires/{id}:
    get:
      tags:
        - Questionnaire
      summary: >-
        Retrieves detailed information about a specific questionnaire including
        its questions, answers, and associated clients.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the questionnaire.
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Successfully retrieved the questionnaire details.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/QuestionnareDetailed'
            application/json:
              schema:
                $ref: '#/components/schemas/QuestionnareDetailed'
            text/json:
              schema:
                $ref: '#/components/schemas/QuestionnareDetailed'
        '404':
          description: Questionnaire not found.
components:
  schemas:
    QuestionnareDetailed:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        firstMessage:
          type: string
          nullable: true
        retryIntervalDays:
          type: integer
          format: int32
        maxTries:
          type: integer
          format: int32
        intervalBackOffMultiplier:
          type: integer
          format: int32
        repeatIntervalDays:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        questions:
          type: array
          items:
            $ref: '#/components/schemas/Question'
          nullable: true
        answers:
          type: array
          items:
            $ref: '#/components/schemas/QuestionWithAnswer'
          nullable: true
        clients:
          type: array
          items:
            $ref: '#/components/schemas/CallQuestionnaire'
          nullable: true
      additionalProperties: false
    Question:
      type: object
      properties:
        id:
          type: integer
          format: int32
        questionnaireId:
          type: integer
          format: int32
        position:
          type: integer
          format: int32
        type:
          type: string
          nullable: true
        prompt:
          type: string
          nullable: true
        metadata:
          type: string
          nullable: true
      additionalProperties: false
    QuestionWithAnswer:
      type: object
      properties:
        questionId:
          type: integer
          format: int32
        questionnaireCallId:
          type: integer
          format: int32
        prompt:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        metadata:
          type: string
          nullable: true
        answerText:
          type: string
          nullable: true
        answeredAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    CallQuestionnaire:
      type: object
      properties:
        id:
          type: integer
          format: int32
        clientId:
          type: integer
          format: int32
        questionnaireId:
          type: integer
          format: int32
        phoneCallId:
          type: integer
          format: int32
          nullable: true
        createdAt:
          type: string
          format: date-time
        nextTryAt:
          type: string
          format: date-time
      additionalProperties: false

````